singleton Material(si_mainpaint)
{
   mapTo = "si_mainpaint";
   diffuseMap[0] = "vehicles/sian/body_d.png";
   diffuseMap[1] = "vehicles/sian/body_c.png";
   specularPower[0] = "15";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(si_chrome)
{
    mapTo = "si_chrome";
    //diffuseMap[0] = "vehicles/boxcar/tex/body_s.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    //normalMap[0] = "vehicles/boxcar/tex/bodyn.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 1";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_glass)
{
mapTo = "si_glass";
reflectivityMap[0] = "vehicles/sian/glass.dds";
diffuseMap[0] = "vehicles/sian/glass.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/sian/glass.dds";
specularMap[1] = "vehicles/sian/glass.dds";
specularPower[0] = "128";
pixelSpecular[0] = "1";
specularPower[1] = "128";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 0.75";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "0";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_glass_dmg)
{
    mapTo = "si_glass_dmg";
    diffuseMap[0] = "vehicles/sian/glass_dmg.dds";
    opacityMap[0] = "vehicles/sian/glass_dmg.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/sian/glass_dmg.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_windshield_dmg)
{
    mapTo = "si_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sian/glass_dmg.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_wheel)
{
  mapTo = "si_wheel";
  //diffuseColor[0] = "0.112 0.112 0.112 0";
  //specular[0] = "0.15 0.15 0.15 0";
  specularPower[0] = "50";
  doubleSided = "1";
  translucentBlendOp = "None";
  diffuseMap[0]= "vehicles/sian/Wheel1A_diff.png";
  normalMap[0] = "vehicles/sian/Wheel1A_nrml.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(glass_clear)
{
   mapTo = "glass_clear";

   diffuseColor[0] = "0 0 0 0.3";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";
};

   singleton Material(si_glassRed)
{
   mapTo = "si_glassRed";

   diffuseColor[0] = "0.8 0 0 0.8";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "0";
   alphaRef = "0";
};

singleton Material(si_red)
{
   mapTo = "si_red";
     
    diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.3 0 0 1";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(si_orange)
{
   mapTo = "si_orange";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.8 0.3 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
};


  singleton Material(si_glassDark)
{
   mapTo = "si_glassDark";

   diffuseColor[0] = "0.1 0.1 0.1 0.8";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   alphaTest = "1";
   doublesided = "0";
   alphaRef = "0";
};

  singleton Material(si_badgeA)
{
  mapTo = "si_badgeA";
  diffuseMap[0] = "vehicles/sian/BadgeA_diff.png";
  normalMap[0] = "vehicles/sian/BadgeA_nrml.png";
   //specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
   //specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "Miscellaneous";
};

singleton Material(si_calliperBadge)
{
   mapTo = "si_calliperBadge";
     diffuseMap[0] = "vehicles/sian/CalliperBadgeA_opac1.png";
    normalMap[0] = "vehicles/sian/CalliperBadgeA_normal.png";
	//diffuseMap[1] = "vehicles/common/null.dds";
  // specularMap[1] = "vehicles/common/null.dds";
	diffuseColor[0] = "1 1 1 1";
	specularPower[0] = "128";
    useAnisotropic[0] = "1";
	pixelSpecular[0] = "1";
    castShadows = "1";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = "1";
	//cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";  materialTag2 = "C2";
};

singleton Material(si_carbon1)
{
   mapTo = "si_carbon1";
   diffuseMap[0] = "vehicles/sian/carbon.png";
    normalMap[0] = "vehicles/sian/carbon_n.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
     singleton Material(si_grille4A)
{
   mapTo = "si_grille4A";
   diffuseMap[0] = "vehicles/sian/Grille4A_diff.png";
    normalMap[0] = "vehicles/sian/Grille4A_nrml.png";
   diffuseColor[0] = "1 1 1 0";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
  // translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };   
   
   singleton Material(si_grille3A)
{
   mapTo = "si_grille3A";
   diffuseMap[0] = "vehicles/sian/Grille3A_opac1.png";
    normalMap[0] = "vehicles/sian/tex/Grille3A_nrml.png";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };   
   
   singleton Material(si_grille6ALet)
{
   mapTo = "si_grille6ALet";
   diffuseMap[0] = "vehicles/sian/Grille6A_diff.png";
  normalMap[0] = "vehicles/sian/Grille6A_nrml.png";
   //specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
   //specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "Miscellaneous";
	
   };   
   
   
   singleton Material(si_grille5A)
{
   mapTo = "si_grille5A";
   diffuseMap[0] = "vehicles/sian/Grille5A_diff.png";
    normalMap[0] = "vehicles/sian/Grille5A_nrml.png";
  diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };   
   
      
   singleton Material(si_interior_o)
{
   mapTo = "si_interior_o";
   diffuseMap[0] = "vehicles/sian/InteriorA_diff.png";
    normalMap[0] = "vehicles/sian/InteriorA_nrml.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   }; 
   
 
singleton Material(si_interior)
{
   mapTo = "si_interior";
   diffuseMap[0] = "vehicles/sian/InteriorA_diff.png";
    normalMap[0] = "vehicles/sian/InteriorA_nrml.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "0";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };



singleton Material(si_bolts)
{
   mapTo = "si_bolts";
   diffuseMap[0] = "vehicles/sian/InteriorA_diff.png";
    normalMap[0] = "vehicles/sian/InteriorA_nrml.png";
  // specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "0";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };
   
   singleton Material(si_bolts2)
{
   mapTo = "si_bolts2";
   diffuseMap[0] = "vehicles/sian/InteriorA_diff.png";
    normalMap[0] = "vehicles/sian/InteriorA_nrml.png";
  // specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   };
   
   singleton Material(si_bolts2_on)
{
    mapTo = "si_bolts2_on";
     diffuseMap[0] = "vehicles/sian/InteriorA_diff.png";
    normalMap[0] = "vehicles/sian/InteriorA_nrml.png";
  // specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "8.5 8.5 8.5 8.5";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
};

   singleton Material(si_pribors)
{
    mapTo = "si_pribors";
	diffuseMap[0] = "vehicles/sian/pribors.png";
    specularMap[0] = "vehicles/sian/pribors.png";
    normalMap[0] = "vehicles/common/null.dds";
    //diffuseColor[0] = "0.5 0.5 0.5 0.5";
	diffuseColor[0] = "1.2 1.2 1.2 1.2";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(si_pribors_on)
{
    mapTo = "si_pribors_on";
     diffuseMap[0] = "vehicles/sian/pribors.png";
    specularMap[0] = "vehicles/sian/pribors.png";
    normalMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "3.0 3.0 3.0 3.0";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
   
   singleton Material(si_grille1A)
{
   mapTo = "si_grille1A";
   diffuseMap[0] = "vehicles/sian/Grille1A_diff.png";
    normalMap[0] = "vehicles/sian/Grille1A_nrml.png";
   //specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/common/null.dds";
   //specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 0.5";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
  }; 
   
   singleton Material(si_grille2A)
{
   mapTo = "si_grille2A";
   diffuseMap[0] = "vehicles/sian/Grille2A_diff.png";
    normalMap[0] = "vehicles/sian/Grille2A_nrml.png";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "1";
   alphaTest = "0";
   alphaRef = "0";
   }; 
   
      singleton Material(sbr)
{
    mapTo = "sbr";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
   
    
   singleton Material(si_engine)
{
   mapTo = "si_engine";
   diffuseMap[0] = "vehicles/sian/EngineA_diff.png";
    normalMap[0] = "vehicles/sian/EngineA_nrml.png";
   diffuseColor[0] = "1 1 1 1";
  //diffuseColor[0] = "0.0 0.6 0.2 0.0";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
  };    
  
   singleton Material(si_engine2)
{
   mapTo = "si_engine2";
  diffuseMap[0] = "vehicles/sian/EngineA_diff.png";
    normalMap[0] = "vehicles/sian/EngineA_nrml.png";
	
   diffuseColor[0] = "1 1 1 0";
  //diffuseColor[0] = "0.0 0.6 0.2 0.0";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
  };    
   
  singleton Material(si_black)
{
   mapTo = "si_black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   //doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

 
    singleton Material(plasticGlossy)
{
   mapTo = "plasticGlossy";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0 0 0 0.9";
   specularPower[2] = "35";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(silver)
{
    mapTo = "silver";
    //diffuseMap[0] = "vehicles/boxcar/tex/body_s.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    //normalMap[0] = "vehicles/boxcar/tex/bodyn.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "1 1 1 0.9";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

   singleton Material(plastic_int)
{
   mapTo = "plastic_int";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
     
singleton Material(white)
{
   mapTo = "white";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.8 0.8 0.8 0.9";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   doublesided = "1";
   alphaRef = "0";
};

singleton Material(si_colgrey)
{
   mapTo = "si_colgrey";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.6 0.6 0.6 0.90";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(si_specularTintA)
{
   mapTo = "si_specularTintA";
   //diffuseMap[0] = "vehicles/common/null.dds";
   //specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/sian/SpecularTintA_diff.png";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.8 0.6 0.0 0.9";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

 singleton Material(chromeDark)
{
    mapTo = "chromeDark";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.6 0.6 0.6 0.3";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

 singleton Material(black)
{
   mapTo = "black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

 singleton Material(bottom)
{
   mapTo = "bottom";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 1.0";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(sidewall)
{
   mapTo = "sidewall";
   diffuseMap[0] = "vehicles/amg/sidewall.png";
   normalMap[0] = "vehicles/amg/sidewall_n.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 0.90";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   
};

singleton Material(metal_def)
{
    mapTo = "metal_def";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.1 0.1 0.1 1";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chrome_brushed_brakedisc)
{
    mapTo = "chrome_brushed_brakedisc";
    diffuseMap[0] = "vehicles/amg/brake_di.png";
    //specularMap[0] = "vehicles/boxcar/tex/body_c.png";
    normalMap[0] = "vehicles/amg/brake_di_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0 0 0 0.5";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(metal_dark)
{
    mapTo = "metal_dark";
   specularPower[0] = "32";
    pixelSpecular[0] = "0";
    diffuseColor[0] = "0.8 0.8 0.8 0.9";
	useAnisotropic[0] = "1";
    castShadows = "1";
	doublesided = "1";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(glassHL)
{
  mapTo = "glassHL";
  diffuseColor[0] = "0.112 0.112 0.112 0";
  specular[0] = "0.15 0.15 0.15 0";
  specularPower[0] = "50";
  doubleSided = "1";
  translucentBlendOp = "None";
  diffuseMap[0]= "vehicles/amg/glassHL.png";
 normalMap[0] = "vehicles/amg/glassHL.png";
   materialTag0 = "Miscellaneous";
};


singleton Material(reflectBumpA)
{
  mapTo = "reflectBumpA";
  diffuseColor[0] = "0.112 0.112 0.112 0";
  specular[0] = "0.15 0.15 0.15 0";
  specularPower[0] = "50";
  doubleSided = "1";
  translucentBlendOp = "None";
  diffuseMap[0]= "vehicles/amg/bumpA.png";
 normalMap[0] = "vehicles/amg/bumpA.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(jek_running)
{
   mapTo = "jek_running";
     diffuseMap[2] = "vehicles/jesko/body_c.png";
    specularMap[2] = "vehicles/jesko/body_c.png";
    normalMap[2] = "vehicles/jesko/body_c.png";
    diffuseMap[1] = "vehicles/jesko/body_c.png";
    specularMap[1] = "vehicles/jesko/body_c.png";
    normalMap[1] = "vehicles/jesko/body_c.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/jesko/body_c.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_lights)
{
    mapTo = "si_lights";
	//diffuseMap[1] = "vehicles/sian/LightA_diff.png";
	 diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/sian/body_c2.png";
	//opacityMap[0] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr.png";
  //  normalMap[1] = "vehicles/jesko/body_c2.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
   // normalMap[0] = "vehicles/jesko/body_c2.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0";
	//diffuseColor[0] = "0.5 0.5 0.5 0.75";
	//diffuseColor[1] = "0.1 0.1 0.1 0.8";
    //diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //diffuseColor[1] = "0.5 0.5 0.5 0.9";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_lights_on)
{
    mapTo = "si_lights_on";
	diffuseMap[2] = "vehicles/sian/body_c2.png";
    specularMap[2] = "vehicles/sian/body_c2.png";
    normalMap[2] = "vehicles/sian/body_c2.png";
    diffuseMap[1] = "vehicles/sian/body_c2.png";
    specularMap[1] = "vehicles/sian/body_c2.png";
    normalMap[1] = "vehicles/sian/body_c2.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sian/body_c2.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[0] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_lights_on_intense)
{
   mapTo = "si_lights_on_intense";
     diffuseMap[2] = "vehicles/sian/body_c2.png";
    specularMap[2] = "vehicles/sian/body_c2.png";
    normalMap[2] = "vehicles/sian/body_c2.png";
    diffuseMap[1] = "vehicles/sian/body_c2.png";
    specularMap[1] = "vehicles/sian/body_c2.png";
    normalMap[1] = "vehicles/sian/body_c2.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sian/body_c2.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_lights1)
{
    mapTo = "si_lights1";
	diffuseMap[1] = "vehicles/amg/body_c.png";
    specularMap[1] = "vehicles/amg/body_c.png";
	//opacityMap[0] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr.png";
    normalMap[1] = "vehicles/amg/body_c.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/amg/body_c.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0.75";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //diffuseColor[1] = "0.5 0.5 0.5 0.9";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(si_lights_on_intense1)
{
   mapTo = "si_lights_on_intense1";
     diffuseMap[2] = "vehicles/Sian/body_c1.png";
    specularMap[2] = "vehicles/Sian/body_c1.png";
    normalMap[2] = "vehicles/Sian/body_c1.png";
    diffuseMap[1] = "vehicles/Sian/body_c1.png";
    specularMap[1] = "vehicles/Sian/body_c1.png";
    normalMap[1] = "vehicles/Sian/body_c1.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/Sian/body_c1.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 0.5";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    diffuseColor[2] = "1.5 1.5 1.5 0.50";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

 singleton Material(Glass_)
{
mapTo = "Glass_";
reflectivityMap[0] = "vehicles/urus/glass.dds";
diffuseMap[0] = "vehicles/urus/glass.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/urus/glass.dds";
specularMap[1] = "vehicles/urus/glass.dds";
specularPower[0] = "128";
pixelSpecular[0] = "1";
specularPower[1] = "128";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 0.75";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "0";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(amg_lights_dmg)
{
    mapTo = "amg_lights_dmg";
     diffuseMap[1] = "vehicles/amg/lights_dmg.dds";
    specularMap[1] = "vehicles/amg/lights_dmg.dds";
	 //specularMap[1] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr.png";
    //normalMap[1] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "vehicles/urus/Lamborghini_Urus_2018_LightA_Diffuse_rr_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 0.75";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
   
   singleton Material(pribors)
{
   mapTo = "pribors";
   diffuseMap[0] = "vehicles/urus/Lamborghini_Urus_2018_InteriorA_Emissive001.png";
    //normalMap[0] = "vehicles/urus/Lamborghini_Urus_2018_Grille7A_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/urus/Lamborghini_Urus_2018_InteriorA_Emissive001.png";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.2 0.2 0.2 0.8";
   specularPower[2] = "15";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
  


  singleton Material(hazard)
{
    mapTo = "hazard";
    diffuseMap[0] = "vehicles/urus/pribors.png";
    specularMap[0] = "vehicles/urus/pribors.png";
    normalMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(hazard_on)
{
    mapTo = "hazard_on";
     diffuseMap[0] = "vehicles/urus/pribors.png";
    specularMap[0] = "vehicles/urus/pribors.png";
    normalMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
	glow[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
  
   singleton Material(buttons2)
{
   mapTo = "buttons2";
   diffuseMap[0] = "vehicles/urus/pribors.png";
    //normalMap[0] = "vehicles/urus/Lamborghini_Urus_2018_Grille7A_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/urus/pribors.png";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "1 1 1 1";
   specularPower[2] = "32";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
   singleton Material(buttons)
{
   mapTo = "buttons";
   diffuseMap[0] = "vehicles/urus/pribors_ne.png";
    //normalMap[0] = "vehicles/urus/Lamborghini_Urus_2018_Grille7A_Normal.png";
  // specularMap[0] = "vehicles/common/null.dds";
	//diffuseMap[1] = "vehicles/urus/pribors_ne.png";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "1 1 0 0";
   specularPower[2] = "32";
   useAnisotropic[2] = "1";
  // castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   
   singleton Material(dash_panel)
{
   mapTo = "dash_panel";
   diffuseMap[0] = "vehicles/urus/DASH_panel_new.png";
    //normalMap[0] = "vehicles/urus/Lamborghini_Urus_2018_Grille7A_Normal.png";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/urus/DASH_panel_new.png";
  // specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "1 1 1 1";
   specularPower[2] = "32";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   };
   


 singleton Material(black2)
{
   mapTo = "black2";
   diffuseMap[0] = "vehicles/urus/lights.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/urus/lights.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.1 0.1 0.1 1";
   specularPower[2] = "32";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(Black_glance)
{
   mapTo = "Black_glance";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0 0 0 0.9";
   specularPower[2] = "35";
   useAnisotropic[2] = "1";
   castShadows = "1";
   doublesided = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};




   


singleton Material(Leather_)
{
   mapTo = "Leather_";
   diffuseMap[0] = "vehicles/urus/letaher.png";
    specularMap[0] = "vehicles/urus/letaher.png";
    normalMap[0] = "vehicles/urus/letaher_n.png";
    diffuseColor[0] = "0.5 0.5 0.5 0.5";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   };
 
 singleton Material(si_runninglight)
{
    mapTo = "si_runninglight";
};
 
singleton Material(si_signal_L)
{
    mapTo = "si_signal_L";
};

singleton Material(si_signal_R)
{
    mapTo = "si_signal_R";
};

//singleton Material(urus_signal_L)
//{
//   mapTo = "urus_headlight_L";
//};

//singleton Material(urus_signal_R)
//{
 //   mapTo = "urus_headlight_R";
//};

singleton Material(si_signal_L1)
{
   mapTo = "si_signal_L1";
};

singleton Material(si_signal_R1)
{
   mapTo = "si_signal_R1";
};

singleton Material(si_brake)
{
    mapTo = "si_brake)";
};

singleton Material(si_lowhighbeam)
{
    mapTo = "si_lowhighbeam";
};

singleton Material(si_platelight)
{
    mapTo = "si_platelight";
};

singleton Material(si_reverse)
{
    mapTo = "si_reverse";
};

singleton Material(amg_headlight_L1)
{
    mapTo = "amg_headlight_L1";
};

singleton Material(urus_headlight_R1)
{
    mapTo = "urus_headlight_R1";
};

singleton Material(jek_reverselight)
{
    mapTo = "jek_reverselight";
};

singleton Material(si_taillight_L)
{
    mapTo = "si_taillight_L";
};

singleton Material(si_taillight_R)
{
    mapTo = "si_taillight_R";
};

//singleton Material(hazard)
//{
//    mapTo = "hazard";
//};

singleton Material(jek_taillights)
{
    mapTo = "jek_taillights";
};

//singleton Material(urus_chmsl)
//{
//    mapTo = "urus_chmsl";
//};

singleton Material(a_int_screen)
{
mapTo = "a_int_screen";
reflectivityMap[0] = "vehicles/fpace/a_int_screen.dds";
diffuseMap[0] = "vehicles/fpace/a_int_screen.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/fpace/a_int_screen.dds";
specularMap[1] = "vehicles/fpace/a_int_screen.dds";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

